import { computed as a, unref as i } from "vue";
import { o as e, B as c, x as s, y as d, C as l, z as u, I as p } from "./index-597e6e44.mjs";
const _ = {
  key: "_input",
  name: e("_.builtIn.element.input.name"),
  description: "",
  icon: "mdiFormTextbox",
  sequence: 12,
  transform: c("el-input", {}, (t, { config: n }) => {
    m(t, n, "prefix"), m(t, n, "suffix");
  }),
  editor: {
    basic: {
      init: { type: "text", clearable: !0, size: "default" },
      ui: function({ config: t }) {
        return [
          s(
            "type",
            [
              "text",
              "textarea",
              "password",
              "button",
              "checkbox",
              "color",
              "date",
              "datetime-local",
              "email",
              "file",
              "hidden",
              "image",
              "month",
              "number",
              "radio",
              "range",
              "reset",
              "search",
              "submit",
              "tel",
              "time",
              "url",
              "week"
            ],
            e("_.builtIn.element.input.type")
          ),
          d("placeholder", e("_.builtIn.element.input.placeholder")),
          l("clearable", e("_.builtIn.element.input.clearable"), {
            "~show": a(() => i(t).type != "textarea")
          }),
          l("disabled", e("_.builtIn.element.input.disabled")),
          s(
            "size",
            [
              { value: "large", label: e("_.builtIn.element.input.size_large") },
              { value: "default", label: e("_.builtIn.element.input.size_default") },
              { value: "small", label: e("_.builtIn.element.input.size_small") }
            ],
            e("_.builtIn.element.input.size")
          ),
          u("minlength", e("_.builtIn.element.input.minlength")),
          u("maxlength", e("_.builtIn.element.input.maxlength")),
          l("show-word-limit", e("_.builtIn.element.input.show-word-limit"), {
            "~show": a(
              () => i(t).type == "textarea" || i(t).type == "text"
            )
          }),
          u("rows", e("_.builtIn.element.input.rows"), {
            "~show": a(() => i(t).type == "textarea")
          }),
          l("show-password", e("_.builtIn.element.input.show-password")),
          p("_prefix-icon", e("_.builtIn.element.input.prefix-icon")),
          p("_suffix-icon", e("_.builtIn.element.input.suffix-icon"))
        ];
      }
    },
    data: {
      type: "String",
      init: {
        mode: "fixed",
        dataContent: "Fixed data"
      }
    },
    event: {
      list: ["input", "change"],
      init: []
    },
    display: {
      init: {
        style: {
          margin: "6px 0"
        },
        class: ""
      }
    }
    // demo: {
    //   icon: 'mdiAccountBoxOutline',
    //   name: 'Demo',
    //   ui: [
    //     uiUtil.createSwitch('hello'),
    //     uiUtil.createSelect('world', ['American', 'China', 'Russia'])
    //   ],
    //   init: {
    //     hello: true,
    //     world: 'China'
    //   }
    // }
  }
};
function m(t, n, r) {
  const o = n["_" + r + "-icon"];
  o && (t["#" + r] = { "~component": "lc-icon", icon: o, size: "1.5em" });
}
export {
  _ as default
};
